import dynamix_sdk.base as _base


class CloudapiK8sDeleteMasterFromGroupResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiK8sDeleteMasterFromGroupProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def delete_master_from_group(
        self,
        *,
        k8s_id: int,
        master_group_id: int,
        master_node_ids: list[int],
    ) -> CloudapiK8sDeleteMasterFromGroupResultBool:
        ...
